Bug 240437 - "GNOME Power Manager" triggers error message in ".xsession-errors"
Summary: "GNOME Power Manager" triggers error message in ".xsession-errors"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-17 15:47 UTC by Joachim Frieben
Modified: 2013-03-06 03:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 12:29:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Frieben 2007-05-17 15:47:03 UTC
Description of problem:
The "GNOME Power Manager" causes a spurious error message in
".xsession-errors":

  "** Message: Could not connect to power manager: Could not get owner
   of name 'org .gnome.PowerManager': no such name".

Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.2-4.fc7

How reproducible:
Always.

Steps to Reproduce:
1. Log in to "GNOME" session.
2. Check content of ".xsession-errors".
  
Actual results:
The above message appears is displayed.

Expected results:
No error message related to "g-p-m" is shown.

Additional info:
None.

Comment 1 Richard Hughes 2007-05-17 15:56:55 UTC
Are you trying to load the brightness or inhibit applets?

Comment 2 Joachim Frieben 2007-05-18 07:34:22 UTC
Not knowingly. The two only applets that I have added to my panel
are the "Network Monitor" and the "CPU Frequency Scaling Monitor"
applets. The brightness applet is not functional on my
"IBM ThinkPad T23" anyway.

Comment 3 Richard Hughes 2007-05-18 10:48:34 UTC
Are you running gnome-power-manager?

Comment 4 Joachim Frieben 2007-05-21 13:37:03 UTC
Oh yes, I do. There have been some recent problems with "hal", but
right now, the battery icons is sitting peacefully on my panel,
and nevertheless, ".xsession-errors" still contains the error message
reported earlier.


Note You need to log in before you can comment on or make changes to this bug.